summaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/md0-raid10.sh
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2010-08-26 11:22:58 -0700
committerBrian Behlendorf <[email protected]>2010-08-31 13:41:27 -0700
commitc9c0d073da561bcbefbdf09c87fc75b227415619 (patch)
tree7daee55ae61526107f421de48171573fa5a15d28 /scripts/zpool-config/md0-raid10.sh
parent40b84e7aec6392187722e61e5a4a853b530bf60f (diff)
Add build system
Add autoconf style build infrastructure to the ZFS tree. This includes autogen.sh, configure.ac, m4 macros, some scripts/*, and makefiles for all the core ZFS components.
Diffstat (limited to 'scripts/zpool-config/md0-raid10.sh')
-rw-r--r--scripts/zpool-config/md0-raid10.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/scripts/zpool-config/md0-raid10.sh b/scripts/zpool-config/md0-raid10.sh
new file mode 100644
index 000000000..ccc717015
--- /dev/null
+++ b/scripts/zpool-config/md0-raid10.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Four disk Raid-10 in a single Raid-0 Configuration
+#
+
+MDADM=${MDADM:-/sbin/mdadm}
+MDDEVICES=${MDDEVICES:-"/dev/sd[abcd]"}
+MDCOUNT=${MDCOUNT:-4}
+MDRAID=${MDRAID:-10}
+
+DEVICES="/dev/md0"
+
+zpool_md_destroy() {
+ msg ${MDADM} --manage --stop ${DEVICES}
+ ${MDADM} --manage --stop ${DEVICES} &>/dev/null
+
+ msg ${MDADM} --zero-superblock ${MDDEVICES}
+ ${MDADM} --zero-superblock ${MDDEVICES} >/dev/null
+}
+
+zpool_create() {
+ msg ${MDADM} --create ${DEVICES} --level=${MDRAID} \
+ --raid-devices=${MDCOUNT} ${MDDEVICES}
+ ${MDADM} --create ${DEVICES} --level=${MDRAID} \
+ --raid-devices=${MDCOUNT} ${MDDEVICES} \
+ &>/dev/null || (zpool_md_destroy && exit 1)
+
+ msg ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${DEVICES}
+ ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} \
+ ${DEVICES} || (zpool_md_destroy && exit 2)
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+
+ zpool_md_destroy
+}